# TdApi.InternalLinkTypeVoiceChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeVoiceChat

Package it.tdlight.jni

# Class TdApi.InternalLinkTypeVoiceChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeVoiceChat

Enclosing class:
  TdApi

    public static class TdApi.InternalLinkTypeVoiceChat
    extends TdApi.InternalLinkType

The link is a link to a voice chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `chatUsername` | Username of the chat with the voice chat.
`static int` | `CONSTRUCTOR` |
`String` | `inviteHash` | If non-empty, invite hash to be used to join the voice chat without being muted by administrators.
`boolean` | `isLiveStream` | True, if the voice chat is expected to be a live stream in a channel or a broadcast group.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalLinkTypeVoiceChat()` | The link is a link to a voice chat.
`InternalLinkTypeVoiceChat​(DataInput input)` |
`InternalLinkTypeVoiceChat​(String chatUsername, String inviteHash, boolean isLiveStream)` | The link is a link to a voice chat.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatUsername

public String chatUsername
Username of the chat with the voice chat.

### inviteHash

public String inviteHash
If non-empty, invite hash to be used to join the voice chat without being muted by administrators.

### isLiveStream

public boolean isLiveStream
True, if the voice chat is expected to be a live stream in a channel or a broadcast group.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InternalLinkTypeVoiceChat

public InternalLinkTypeVoiceChat()
The link is a link to a voice chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

### InternalLinkTypeVoiceChat

public InternalLinkTypeVoiceChat​(String chatUsername, String inviteHash, boolean isLiveStream)
The link is a link to a voice chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

Parameters:
  `chatUsername` - String Username of the chat with the voice chat.
  `inviteHash` - String If non-empty, invite hash to be used to join the voice chat without being muted by administrators.
  `isLiveStream` - boolean True, if the voice chat is expected to be a live stream in a channel or a broadcast group.

### InternalLinkTypeVoiceChat

public InternalLinkTypeVoiceChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`